## rsplib 3.2.4

=== CMakeLists.txt ===
# --------------------------------------------------------------------------
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
# ------------- An Efficient RSerPool Prototype Implementation -------------
#
# Copyright (C) 2002-2019 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@iem.uni-due.de

CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
PROJECT(rsplib LANGUAGES C CXX)

SET(BUILD_MAJOR "3")
SET(BUILD_MINOR "2")
SET(BUILD_PATCH "4")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
# INSTALLATION_DIRECTORIES
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
# PACKAGING
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
   "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES
   "${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}-*;${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}_*;/build/;/.git/;/config.log;/CMakeFiles/;CMakeCache.txt$;.cmake$;.tar.gz$;/_CPack_Packages;/Makefile$;~$;/build-deb;/clean-deb;/filter-empty-entries;/make-symbols;/make-ppa;/make-deb;/debian.conf;/make-rpm;/rpm.conf;${CPACK_SOURCE_IGNORE_FILES}")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)


#############################################################################
# OS-DEPENDENT
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    ADD_DEFINITIONS("-D_DEFAULT_SOURCE -DLINUX")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")
    ADD_DEFINITIONS("-DFreeBSD")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")
    ADD_DEFINITIONS("-DDARWIN")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    LIST(APPEND neat_headers neat_bsd.h)
    LIST(APPEND neat_sources neat_bsd.c)
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")
    ADD_DEFINITIONS("-DNetBSD")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
# CHECK STRUCT MEMBERS
#############################################################################

CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
IF (HAVE_SA_LEN)
   MESSAGE(STATUS "HAVE_SA_LEN")
   ADD_DEFINITIONS(-DHAVE_SA_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in" "sin_len" "sys/types.h;netinet/in.h" HAVE_SIN_LEN)
IF (HAVE_SIN_LEN)
   MESSAGE(STATUS "HAVE_SIN_LEN")
   ADD_DEFINITIONS(-DHAVE_SIN_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in6" "sin6_len" "sys/types.h;netinet/in.h" HAVE_SIN6_LEN)
IF (HAVE_SIN6_LEN)
   MESSAGE(STATUS "HAVE_SIN6_LEN")
   ADD_DEFINITIONS(-DHAVE_SIN6_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" "ss_len" "sys/types.h;sys/socket.h" HAVE_SS_LEN)
IF (HAVE_SS_LEN)
   MESSAGE(STATUS "HAVE_SS_LEN")
   ADD_DEFINITIONS(-DHAVE_SS_LEN)
ENDIF()


#############################################################################
# CHECK OPTIONS
#############################################################################

# Debug build type as default
IF (NOT CMAKE_BUILD_TYPE)
   MESSAGE(STATUS "No build type selected, using DEBUG")
   SET(CMAKE_BUILD_TYPE "DEBUG")
   # _FORTIFY_SOURCE requires compiling with optimization
   SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
ENDIF()

# Maximum logging level
SET(MAX_LOGLEVEL "9" CACHE STRING "Maximum logging level")
ADD_DEFINITIONS(-DMAX_LOGLEVEL=${MAX_LOGLEVEL})

# Registrar statistics
OPTION(ENABLE_REGISTRAR_STATISTICS "Enable Registrar statistics" 1)
IF (ENABLE_REGISTRAR_STATISTICS)
   ADD_DEFINITIONS(-DENABLE_REGISTRAR_STATISTICS)
ENDIF()

# Handlespace Management verification
OPTION(ENABLE_HSMGTVERIFY "Enable handlespace management verification" 0)
IF(ENABLE_HSMGTVERIFY)
   ADD_DEFINITIONS(-DVERIFY)
ENDIF()

# Registrar statistics
OPTION(ENABLE_CSP "Enable CSP" 1)
IF (ENABLE_CSP)
   ADD_DEFINITIONS(-DENABLE_CSP)
ENDIF()

# Qt programs
OPTION(ENABLE_QT "Include Qt programs" 1)
IF (ENABLE_QT)
   SET(CMAKE_AUTOMOC ON)
   FIND_PACKAGE(Qt5 COMPONENTS Core Xml Widgets REQUIRED)
ENDIF()

# Test programs
OPTION(BUILD_TEST_PROGRAMS "Build test programs" 0)

# Handlespace management storage implementation
ADD_DEFINITIONS(-DINCLUDE_SIMPLEREDBLACKTREE -DUSE_SIMPLEREDBLACKTREE)


#############################################################################
# REQUIREMENTS
#############################################################################

# ###### Threads ############################################################
FIND_PACKAGE(Threads REQUIRED)

# ###### Qt #################################################################
OPTION(ENABLE_QT "Include Qt programs" 1)
IF (ENABLE_QT)
   SET(CMAKE_AUTOMOC ON)
   FIND_PACKAGE(Qt5 COMPONENTS Core Xml Widgets REQUIRED)
ENDIF()

# ###### SCTP ###############################################################
OPTION(USE_KERNEL_SCTP "Use Kernel SCTP" 1)
IF (USE_KERNEL_SCTP)
   # ====== Kernel SCTP =====================================================
   CHECK_INCLUDE_FILE(netinet/sctp.h HAVE_NETINET_SCTP_H)
   IF (HAVE_NETINET_SCTP_H)
      SET(SCTP_INCLUDE "netinet/sctp.h")
      ADD_DEFINITIONS(-DHAVE_KERNEL_SCTP -DHAVE_NETINET_SCTP_H)
      IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
         FIND_LIBRARY(SCTP_LIB sctp REQUIRED)
      ELSE()
         FIND_LIBRARY(SCTP_LIB sctp)
      ENDIF()
      IF (SCTP_LIB)
         SET(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${SCTP_LIB})
      ELSE()
         SET(SCTP_LIB "")
      ENDIF()
   ENDIF()

ELSE()
   # ====== SCTPLIB User-Space SCTP =========================================
   CHECK_INCLUDE_FILE(sctp.h HAVE_SCTPLIB_SCTP_H)
   FIND_LIBRARY(SCTPLIB_LIB sctplib)
   IF (NOT HAVE_SCTPLIB_SCTP_H OR NOT SCTPLIB_LIB)
      MESSAGE(FATAL_ERROR "sctplib not found - libsctplib installed?")
   ENDIF()
   MESSAGE(STATUS "sctplib found: ${SCTPLIB_LIB}")

   CHECK_INCLUDE_FILE(sctp.h HAVE_SCTPSOCKET_SCTP_H)
   FIND_LIBRARY(SCTPSOCKET_LIB sctpsocket)
   IF (NOT HAVE_SCTPSOCKET_SCTP_H OR NOT SCTPSOCKET_LIB)
      MESSAGE(FATAL_ERROR "sctpsocket not found - libsctpsocket installed?")
   ENDIF()
   MESSAGE(STATUS "sctpsocket found: ${SCTPSOCKET_LIB}")

   FIND_PACKAGE(PkgConfig)
   PKG_CHECK_MODULES(GLIB glib-2.0)
   IF (NOT ${GLIB_LIBS})
      MESSAGE(FATAL_ERROR "glib not found - glib-2.0 installed?")
   ENDIF()
   MESSAGE(STATUS "glib found: ${GLIB_LIBRARIES}")

   SET(SCTP_LIB ${SCTPSOCKET_LIB} ${SCTPLIB_LIB} ${GLIB_LIBRARIES})
   SET(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${SCTPSOCKET_LIB} ${SCTPLIB_LIB} ${GLIB_LIBRARIES})
ENDIF()


# ====== Functions ==========================================================
INCLUDE(CheckFunctionExists)

check_function_exists(sctp_send HAVE_SCTP_SEND)
IF (HAVE_SCTP_SEND)
   ADD_DEFINITIONS(-DHAVE_SCTP_SEND)
ENDIF()

check_function_exists(sctp_sendx HAVE_SCTP_SENDX)
IF (HAVE_SCTP_SENDX)
   ADD_DEFINITIONS(-DHAVE_SCTP_SENDX)
ENDIF()

check_function_exists(sctp_sendmsg  HAVE_SCTP_SENDMSG)
IF (HAVE_SCTP_SENDMSG)
   ADD_DEFINITIONS(-DHAVE_SCTP_SENDMSG)
ENDIF()

check_function_exists(sctp_connectx HAVE_SCTP_CONNECTX)
IF (HAVE_SCTP_CONNECTX)
   ADD_DEFINITIONS(-DHAVE_SCTP_CONNECTX)
ENDIF()


# ###### BZip2 ##############################################################
FIND_PACKAGE(BZip2 REQUIRED)


# ###### IEEE Floating-Point ################################################
INCLUDE(CheckCSourceRuns)
check_c_source_runs("
#include <stdio.h>

union DoubleIntUnion
{
   double             Double;
   unsigned long long Integer;
};

int main (int argc, char** argv)
{
   union DoubleIntUnion value;

   value.Double = 0.0;
   if(value.Integer != 0ULL) {
      return(1);
   }
   value.Double = 1000.5;
   if(value.Integer != 0x408f440000000000ULL) {
      return(1);
   }
   value.Double = -1000.5;
   if(value.Integer != 0xc08f440000000000ULL) {
      return(1);
   }

   return(0);
}"
USES_IEEEFP_FP)

IF (USES_IEEEFP_FP)
   ADD_DEFINITIONS(-DHAVE_IEEE_FP)
ENDIF()


#############################################################################
# COMPILER FLAGS
#############################################################################

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

SET(CMAKE_C_STANDARD 11)
SET(CMAKE_C_STANDARD_REQUIRED ON)
SET(CMAKE_C_EXTENSIONS OFF)

SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -Wall")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")


#############################################################################
# SOURCE DIRECTORIES
#############################################################################

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(docs)

=== src/CMakeLists.txt ===
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

#############################################################################
# LIBRARIES
#############################################################################

# ====== liblibtdtimeutilities ==============================================
LIST(APPEND libtdtimeutilities_headers
   timeutilities.h
)
LIST(APPEND libtdtimeutilities_sources
   timeutilities.c
)

INSTALL(FILES ${libtdtimeutilities_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdtimeutilities-shared SHARED ${libtdtimeutilities_sources})
ADD_LIBRARY(libtdtimeutilities-static STATIC ${libtdtimeutilities_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdtimeutilities-${TYPE} PROPERTIES OUTPUT_NAME tdtimeutilities CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdtimeutilities-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libtdtimeutilities-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}" m)
   INSTALL(TARGETS libtdtimeutilities-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== liblibtdrandomizer =================================================
LIST(APPEND libtdrandomizer_headers
   randomizer.h
)
LIST(APPEND libtdrandomizer_sources
   randomizer.c
)

INSTALL(FILES ${libtdrandomizer_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdrandomizer-shared SHARED ${libtdrandomizer_sources})
ADD_LIBRARY(libtdrandomizer-static STATIC ${libtdrandomizer_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdrandomizer-${TYPE} PROPERTIES OUTPUT_NAME tdrandomizer CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdrandomizer-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libtdrandomizer-${TYPE} libtdtimeutilities-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS libtdrandomizer-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== liblibtdstringutilities ============================================
LIST(APPEND libtdstringutilities_headers
   stringutilities.h
)
LIST(APPEND libtdstringutilities_sources
   stringutilities.c
)

INSTALL(FILES ${libtdstringutilities_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdstringutilities-shared SHARED ${libtdstringutilities_sources})
ADD_LIBRARY(libtdstringutilities-static STATIC ${libtdstringutilities_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdstringutilities-${TYPE} PROPERTIES OUTPUT_NAME tdstringutilities CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdstringutilities-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libtdstringutilities-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS libtdstringutilities-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== libtdthreadsafety ======================================================
LIST(APPEND libtdthreadsafety_headers
   threadsafety.h threadsignal.h
)
LIST(APPEND libtdthreadsafety_sources
   threadsafety.c threadsignal.c
)

INSTALL(FILES ${libtdthreadsafety_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdthreadsafety-shared SHARED ${libtdthreadsafety_sources})
ADD_LIBRARY(libtdthreadsafety-static STATIC ${libtdthreadsafety_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdthreadsafety-${TYPE} PROPERTIES OUTPUT_NAME tdthreadsafety CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdthreadsafety-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libtdthreadsafety-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS libtdthreadsafety-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== libtdloglevel ======================================================
LIST(APPEND libtdloglevel_headers
   loglevel.h
)
LIST(APPEND libtdloglevel_sources
   loglevel.c
)

INSTALL(FILES ${libtdloglevel_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdloglevel-shared SHARED ${libtdloglevel_sources})
ADD_LIBRARY(libtdloglevel-static STATIC ${libtdloglevel_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdloglevel-${TYPE} PROPERTIES OUTPUT_NAME tdloglevel CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdloglevel-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libtdloglevel-${TYPE} libtdtimeutilities-${TYPE} libtdthreadsafety-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS libtdloglevel-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== libtdtagitem =======================================================
LIST(APPEND libtdtagitem_headers
   tagitem.h
)
LIST(APPEND libtdtagitem_sources
   tagitem.c
)

INSTALL(FILES ${libtdtagitem_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdtagitem-shared SHARED ${libtdtagitem_sources})
ADD_LIBRARY(libtdtagitem-static STATIC ${libtdtagitem_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdtagitem-${TYPE} PROPERTIES OUTPUT_NAME tdtagitem CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdtagitem-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libtdtagitem-${TYPE} libtdloglevel-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS libtdtagitem-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== libtdbreakdetector =================================================
LIST(APPEND libtdbreakdetector_headers
   breakdetector.h
)
LIST(APPEND libtdbreakdetector_sources
   breakdetector.c
)

INSTALL(FILES ${libtdbreakdetector_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdbreakdetector-shared SHARED ${libtdbreakdetector_sources})
ADD_LIBRARY(libtdbreakdetector-static STATIC ${libtdbreakdetector_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdbreakdetector-${TYPE} PROPERTIES OUTPUT_NAME tdbreakdetector CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdbreakdetector-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libtdbreakdetector-${TYPE} libtdtimeutilities-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS libtdbreakdetector-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== libtdcppthread =====================================================
LIST(APPEND libtdcppthread_headers
   mutex.h thread.h
)
LIST(APPEND libtdcppthread_sources
   mutex.cc thread.cc
)

INSTALL(FILES ${libtdcppthread_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdcppthread-shared SHARED ${libtdcppthread_sources})
ADD_LIBRARY(libtdcppthread-static STATIC ${libtdcppthread_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdcppthread-${TYPE} PROPERTIES OUTPUT_NAME tdcppthread CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdcppthread-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libtdcppthread-${TYPE} libtdthreadsafety-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS libtdcppthread-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== libtdstorage =====================================================
LIST(APPEND libtdstorage_headers
   doublelinkedringlist.h
   leaflinkedredblacktree.h
   redblacktree.h
   redblacktree_impl.h
   simpleredblacktree.h
)
LIST(APPEND libtdstorage_sources
   doublelinkedringlist.c
   leaflinkedredblacktree.c
   simpleredblacktree.c
)

INSTALL(FILES ${libtdstorage_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdstorage-shared SHARED ${libtdstorage_sources})
ADD_LIBRARY(libtdstorage-static STATIC ${libtdstorage_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdstorage-${TYPE} PROPERTIES OUTPUT_NAME tdstorage CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdstorage-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libtdstorage-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS libtdstorage-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== libtdnetutilities ==================================================
LIST(APPEND libtdnetutilities_headers
   ext_socket.h
   messagebuffer.h
   netutilities.h
   netdouble.h
   sockaddrunion.h
)
LIST(APPEND libtdnetutilities_sources
   messagebuffer.c
   netutilities.c
   netdouble.c
)

INSTALL(FILES ${libtdnetutilities_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(libtdnetutilities-shared SHARED ${libtdnetutilities_sources})
ADD_LIBRARY(libtdnetutilities-static STATIC ${libtdnetutilities_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libtdnetutilities-${TYPE} PROPERTIES OUTPUT_NAME tdnetutilities CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libtdnetutilities-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
TARGET_LINK_LIBRARIES (libtdnetutilities-${TYPE} libtdrandomizer-${TYPE} libtdstringutilities-${TYPE} libtdtimeutilities-${TYPE} libtdloglevel-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS libtdnetutilities-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== librsphsmgt ========================================================
LIST(APPEND librsphsmgt_headers
   rserpoolerror.h
   poolhandlespacechecksum.h
   peerlistmanagement-template.h
   peerlistmanagement-template_impl.h
   peerlistnode-template.h
   peerlistnode-template_impl.h
   peerlist-template.h
   peerlist-template_impl.h
   poolelementnode-template.h
   poolelementnode-template_impl.h
   poolhandle.h
   poolhandlespacemanagement-basics.h
   poolhandlespacemanagement.h
   poolhandlespacemanagement-template.h
   poolhandlespacemanagement-template_impl.h
   poolhandlespacenode-template.h
   poolhandlespacenode-template_impl.h
   poolnode-template.h
   poolnode-template_impl.h
   poolpolicysettings.h
   poolpolicy-template.h
   poolpolicy-template_impl.h
   pooluserlist-template.h
   pooluserlist-template_impl.h
   poolusernode-template.h
   poolusernode-template_impl.h
   timestamphashtable.h
   transportaddressblock.h
)
LIST(APPEND librsphsmgt_sources
   rserpoolerror.c
   poolhandlespacechecksum.c
   poolhandle.c
   poolhandlespacemanagement-basics.c
   poolhandlespacemanagement.c
   poolpolicysettings.c
   timestamphashtable.c
   transportaddressblock.c
)

INSTALL(FILES ${librsphsmgt_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(librsphsmgt-shared SHARED ${librsphsmgt_sources})
ADD_LIBRARY(librsphsmgt-static STATIC ${librsphsmgt_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(librsphsmgt-${TYPE} PROPERTIES OUTPUT_NAME rsphsmgt CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(librsphsmgt-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (librsphsmgt-${TYPE} libtdstorage-${TYPE} libtdrandomizer-${TYPE} libtdstringutilities-${TYPE} libtdnetutilities-${TYPE} ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
   INSTALL(TARGETS librsphsmgt-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


# ====== librspmessaging ========================================================
LIST(APPEND librspmessaging_headers
   rserpoolmessage.h
   rserpoolmessagecreator.h
   rserpoolmessageparser.h
)
LIST(APPEND librspmessaging_sources
   rserpoolmessage.c
   rserpoolmessagecreator.c
   rserpoolmessageparser.c
)

INSTALL(FILES ${librspmessaging_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rserpool)

ADD_LIBRARY(librspmessaging-shared SHARED ${librspmessaging_sources})

## rsplib 2.7.10

=== debian/changelog ===
rsplib (2.7.10-0ubuntu1) natty; urgency=high

  * New upstream release (LP: #721923), containing important bugfixes.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 19 Feb 2011 22:22:22 +0200

rsplib (2.7.8-0ubuntu1) natty; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/rules: Using tiny rules for debhelper 7 now.
  * debian/control:
    - Drop Build-Depends on quilt. It's obsolete with 3.0 source format.
    - Bump Standards-Version to 3.9.1.
    - Recommends chrpath because it allows scripting service scripts to
      remove absolute library paths.
    - Removed obsolete build dependencies:
      libx11-dev, libxext-dev, libxmu-dev, libxi-dev.
  * debian/patches: Removed obsolete spelling error patch (fixed upstream).
  * debian/copyright: Updated.
  * debian/watch: Updated URL of upstream package.
  * debian/README.source: Dropped. It's obsolete with 3.0 source format.
  * debian/rsplib-docs.docs, debian/rsplib-docs.docs, debian/control:
    Moved rsplib documentation into separate package.
  * Removed obsolete debian/rsplib-doc.docs and debian/rsplib-doc.install.
  * debian/rsplib-registrar.init: Updated header.
  * Applied wrap-and-sort.
  * New upstream release (LP: #696512).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 08 Feb 2011 11:11:11 +0200

rsplib (2.7.0-0ubuntu1) lucid; urgency=low

  [ Thomas Dreibholz ]
  * New upstream release (LP: #492771).
  * Updated Ubuntu package to latest release.
  * Improved init file for rsplib-registrar (turn on IPv6 by default and
    write logfile).

  [ Alessio Treglia ]
  * Bump Standards.
  * Switch to debhelper 7.
  * Install all new libraries.
  * Update debian/copyright according to Debian DEP-5.
  * debian/control:
    - Don't duplicate Priority,Section fields.
  * Add quilt support.
  * debian/patches/01-spelling_error.patch:
    - rsplib/asapinstance.c: s/succesful/successful/

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 05 Dec 2009 10:10:30 +0100

rsplib (2.6.4-0ubuntu1) karmic; urgency=low

  * Updated Ubuntu package to latest release (LP: #378689).
  * Improved init file for rsplib-registrar (turn on IPv6 by default and
    write logfile).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 20 May 2009 13:23:00 +0200

rsplib (2.6.1-0ubuntu1) karmic; urgency=low

  * Updated Ubuntu package to latest release (LP: #366631).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 25 Apr 2009 12:00:00 +0200

rsplib (2.6.0-3ubuntu1) jaunty; urgency=low

  * Removed unnecessary setting of rpath by Qt 4.x detection code.
  * Fixed too-long lines in debian/control.
  * Updated packaging script.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 23 Feb 2009 15:37:12 +0200

rsplib (2.6.0-0ubuntu1) jaunty; urgency=low

  * Updated Ubuntu package to latest release (LP: #324959).
  * Updated watch file (updated URL from tdrwww.exp-math.uni-essen.de to
    www.iem.uni-due.de)
  * Used Qt 4.x instead of Qt 3.x for fractal demo pool user now.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 16 Jan 2009 10:21:12 +0200

rsplib (2.5.0~rc1-0ubuntu1) intrepid; urgency=low

  * Initial Ubuntu package (LP: #190435).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 26 Aug 2008 20:09:31 +0200

=== debian/control ===
Source: rsplib
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
Homepage: http://tdrwww.iem.uni-due.de/dreibholz/rserpool/index.html
Build-Depends: autotools-dev,
               debhelper (>= 7.0.50~),
               libbz2-dev (>= 1.0),
               libqt4-dev,
               libsctp-dev (>= 1.0.5)
Standards-Version: 3.9.1

Package: librsplib2
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: RSerPool client/server API library for load distribution and
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 The API library is provided by this package.

Package: librsplib-dev
Section: libdevel
Architecture: any
Depends: librsplib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsplib-docs
Description: headers of the RSerPool client/server API library rsplib
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides header files for the rsplib library. You need them
 to develop your own RSerPool-based clients and servers.

Package: libcpprspserver2
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ RSerPool client/server API library
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides an object-oriented API for the rsplib library.

Package: libcpprspserver-dev
Section: libdevel
Architecture: any
Depends: libcpprspserver2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsplib-docs
Description: headers of the C++ RSerPool client/server API library
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides the header files for the rsplib C++ API. You need them to
 develop your own RSerPool-based clients and servers based on the C++ API.

Package: rsplib-docs
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: librsplib2
Description: documentation of the RSerPool implementation rsplib
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package contains the documentation for the RSerPool implementation
 rsplib.

Package: rsplib-registrar
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsplib-docs
Description: RSerPool Registrar service
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides the registrar, which is the management component
 for RSerPool-based server pools. You need at least one registrar in a
 setup, but for redundancy reasons, you should have at least two.

Package: rsplib-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: chrpath,
            rsplib-docs
Description: RSerPool test tools
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides some test tools for RSerPool setups.

Package: rsplib-services
Architecture: any
Depends: rsplib-docs,
         rsplib-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsplib-fgp-cfgfiles
Description: RSerPool example services
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides the rsplib RSerPool example services:
 Echo, Discard, Daytime, CharGen, CalcApp, FractalGenerator and
 ScriptingService.

Package: rsplib-fgp-cfgfiles
Architecture: all
Depends: rsplib-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Description: RSerPool Fractal Generator Service example input files
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides a set of input files for the Fractal Generator
 service.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-maintainer-mode --enable-kernel-sctp --enable-qt --enable-csp

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

=== debian/watch ===
version=3
http://www.tdr.wiwi.uni-due.de/forschung/forschungsprojekte/reliable-server-pooling/    fileadmin/fileupload/I-TDR/ReliableServer/Downloads/rsplib-(.*)\.tar\.gz

## rsplib 2.7.13

=== debian/changelog ===
rsplib (2.7.13-0ubuntu1) precise; urgency=low

  [ Thomas Dreibholz ]
  * New upstream release.
  * Fixed non-empty-dependency_libs-in-la-file lintian error in rules file.
  * Added debug package to control file.
  * Improved package descriptions in control file.
  * Bumped standards version in control file to 3.9.2.
  * Fixed dependencies in control file.
  * Bugfix for configure script (LP: #831109).

  [ Charlie Smotherman ]
  * Removed ppa versioning from changelog.
  * Updated debain/copyright with suggested DEP5 changes from output using 
    libconfig-model-perl.
  * Removed debian/patches/fix-qt-detection.patch, included in new upstream
    release.
  * Close upgrade bug. (LP: #892717)

 -- Charlie Smotherman <cjsmo@ubuntu.com>  Tue, 29 Nov 2011 17:37:43 -0500

rsplib (2.7.10-0ubuntu2) oneiric; urgency=low

  * debian/patches/fix-qt-detection.patch:
    - Backport patch from 2.7.12 to fix FTBFS due to bad Qt detection
      LP: #831109

 -- Michael Terry <mterry@ubuntu.com>  Mon, 29 Aug 2011 09:57:02 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libbz2-dev (>= 1.0),
                libqt4-dev,
                libsctp-dev (>= 1.0.5)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: librsplib2
 Section: libs
@@ -110,7 +110,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: chrpath,
-            rsplib-docs
+            rsplib-docs,
+            rsplib-fgp-cfgfiles
 Description: RSerPool test tools
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
@@ -126,7 +127,6 @@
          rsplib-tools,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: rsplib-fgp-cfgfiles
 Description: RSerPool example services
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
@@ -140,8 +140,7 @@
 
 Package: rsplib-fgp-cfgfiles
 Architecture: all
-Depends: rsplib-tools,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: RSerPool Fractal Generator Service example input files
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
@@ -152,3 +151,21 @@
  .
  This package provides a set of input files for the Fractal Generator
  service.
+
+Package: rsplib-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libcpprspserver2 (= ${binary:Version}),
+         librsplib2 (= ${binary:Version}),
+         rsplib-services (= ${binary:Version}),
+         rsplib-tools (= ${binary:Version}),
+         ${misc:Depends}
+Description: Debug symbols of the RSerPool programs
+ Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
+ RFC 5356) for a lightweight server pool and session management framework.
+ It provides highly available pool management (that is registration
+ handling and load distribution/balancing) by components called Registrar
+ and a client-side/server-side API for accessing the service of a pool.
+ .
+ This package contains the debug symbols of the rsplib package.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,10 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k ChangeLog
+
+override_dh_install:
+	dh_install
+	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
+
+override_dh_strip:
+	dh_strip --dbg-package=rsplib-dbg

## rsplib 3.0.1

=== debian/changelog ===
rsplib (3.0.1-1ubuntu6) bionic; urgency=medium

  * Update debian/patches/rsplib-remove-lksctp-workaround.patch from
    upstream to fix additional build failure in bionic.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Nov 2017 15:10:26 -0800

rsplib (3.0.1-1ubuntu5) bionic; urgency=medium

  * debian/patches/rsplib-remove-lksctp-workaround.patch: drop
    compatibility with obsolete libsctp.  Thanks to Thomas Dreibholz
    <dreibh@iem.uni-due.de>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Oct 2017 15:56:17 -0700

rsplib (3.0.1-1ubuntu4) artful; urgency=medium

  * Drop build-dependency on colorgcc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Jul 2017 14:56:47 -0700

rsplib (3.0.1-1ubuntu3) raring; urgency=low

  * Added missing math lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 17 Apr 2013 17:08:55 -0400

rsplib (3.0.1-1ubuntu2) raring; urgency=low

  * Add Breaks/Replaces to account for files moved from rsplib-tools to
    rsplib-legacy-wrappers.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2013 11:36:48 +0000

rsplib (3.0.1-1ubuntu1) raring; urgency=high

  [ Thomas Dreibholz ]
  * New upstream release.
  * debian/control: now using colorgcc.
  * debian/control: added dependency dpkg-dev for hardening options.
  * debian/rules: using buildflags.mk for hardening options.
  * debian/watch: added mirror on www.iem.uni-due.de.
 
  [ Bhavani Shankar ]
  * Update debian/copyright to reflect latest standards.
  * Bump standards version to 3.9.4.
  * Close Upgrade bug (LP: #1093075) 

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 21 Dec 2012 22:22:22 +0800

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Homepage: http://tdrwww.iem.uni-due.de/dreibholz/rserpool/index.html
 Build-Depends: autotools-dev,
                debhelper (>= 7.0.50~),
+               dpkg-dev (>= 1.16.1~),
                libbz2-dev (>= 1.0),
                libqt4-dev,
                libsctp-dev (>= 1.0.5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: librsplib2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: RSerPool client/server API library for load distribution and
+Description: RSerPool client/server API library for session management
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
  It provides highly available pool management (that is registration
@@ -76,8 +77,7 @@
 Package: rsplib-docs
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}
 Recommends: librsplib2
 Description: documentation of the RSerPool implementation rsplib
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
@@ -91,7 +91,8 @@
 
 Package: rsplib-registrar
 Architecture: any
-Depends: ${misc:Depends},
+Depends: lsb-base (>= 3.2-14),
+         ${misc:Depends},
          ${shlibs:Depends}
 Recommends: rsplib-docs
 Description: RSerPool Registrar service
@@ -111,7 +112,8 @@
          ${shlibs:Depends}
 Recommends: chrpath,
             rsplib-docs,
-            rsplib-fgp-cfgfiles
+            rsplib-fgp-cfgfiles,
+            rsplib-legacy-wrappers
 Description: RSerPool test tools
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
@@ -140,8 +142,7 @@
 
 Package: rsplib-fgp-cfgfiles
 Architecture: all
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: RSerPool Fractal Generator Service example input files
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
@@ -169,3 +170,20 @@
  and a client-side/server-side API for accessing the service of a pool.
  .
  This package contains the debug symbols of the rsplib package.
+
+Package: rsplib-legacy-wrappers
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: rsplib-tools (<< 3.0.0)
+Replaces: rsplib-tools (<< 3.0.0)
+Description: RSerPool legacy names
+ Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
+ RFC 5356) for a lightweight server pool and session management framework.
+ It provides highly available pool management (that is registration
+ handling and load distribution/balancing) by components called Registrar
+ and a client-side/server-side API for accessing the service of a pool.
+ .
+ This package provides legacy wrappers for rsplib-2.x scripts. The programs
+ registrar, server and terminal have been renamed to rspregistrar, rspserver
+ and rspterminal, respectively, in order to avoid naming conflicts.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 
 %:
 	dh $@
